Subject: Re: Strange behavior with I2C on Sequoia board

From: Stefan Roese <[email-masked]>
Date: Thu, 21 Aug 2008 11:51:40 +0200

On Thursday 21 August 2008, Sean MacLennan wrote:
> > That's all output from the wrapper, not the kernel.  And the kernel
> > config doesn't make a difference at all to the wrapper.  I wonder if
> > there is some weird size issue going on there or if whatever U-Boot
> > version you are using is doing odd things...
>
> Any chance something in the DTS could affect it? Maybe try commenting
> out the second IIC controller?

Yes, I2C is generally working and should make a difference in Linux kernel 
booting.

It seems that your bootwrapper is somehow not copying the correct MAC address 
to the device-tree. Not sure what's going wrong here. We usually don't use 
the bootwrapper but boot the uImage directly from U-Boot on all 4xx systems.

You might want to debug the bootwrapper code, if possible drop the bootwrapper 
and use the uImage with a newer, device-tree enabled U-Boot version.

Best regards,
Stefan